samtools-addreplacerg(1)

NAME
samtools-addreplacerg - adds or replaces read group tags

SYNOPSIS

samtools addreplacerg [-r rg-line | -R rg-ID] [-m mode] [-u] [-o out.bam] in.bam

DESCRIPTION

Adds or replaces read group tags in a file. Also allows for adding and updating @RG lines in the header.

OPTIONS

-r STRING
    Allows you to specify a read group line to append to the header and applies it to the reads specified by the -m option. If repeated it automatically adds in tabs between invocations.

-R STRING
    Allows you to specify the read group ID of an existing @RG line and applies it to the reads specified.

-m MODE
    If you choose orphan_only then existing RG tags are not overwritten, if you choose overwrite_all, existing RG tags are overwritten. The default is overwrite_all.

-o STRING
    Write the final output to STRING. The default is to write to stdout.

    By default, samtools tries to select a format based on the output filename extension; if output is to standard output or no format can be deduced, sam is selected.

-u  Output uncompressed SAM, BAM or CRAM.

-w  Overwrite an existing @RG line, if a new one with the same ID value is provided.

--no-PG
    Do not add a @PG line to the header of the output file.

-@, --threads INT
    Number of input/output compression threads to use in addition to main thread [0].

AUTHOR

Written by Martin Pollard from the Sanger Institute.

SEE ALSO
samtools(1), samtools-split(1)

Samtools website: <http://www.htslib.org/>